org.apache.lucene.analysis.ko

## Enum POS.Type

- java.lang.Object
- - java.lang.Enum<POS.Type>
  - - org.apache.lucene.analysis.ko.POS.Type

All Implemented Interfaces:
  Serializable, Comparable<POS.Type>

Enclosing class:
  POS

    public static enum POS.Type
    extends Enum<POS.Type>

The type of the token.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPOUND` Compound noun.
`INFLECT` Inflected token.
`MORPHEME` A simple morpheme.
`PREANALYSIS` Pre-analysis token.

### Method Summary

All Methods Static Methods Concrete Methods
`static POS.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static POS.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MORPHEME

    public static final POS.Type MORPHEME

A simple morpheme.

#### COMPOUND

    public static final POS.Type COMPOUND

Compound noun.

#### INFLECT

    public static final POS.Type INFLECT

Inflected token.

#### PREANALYSIS

    public static final POS.Type PREANALYSIS

Pre-analysis token.

### Method Detail

#### values

    public static POS.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (POS.Type c : POS.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static POS.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null